module func(a,b,FS,f,V,C,N,Z);

	input [15:0] a, b;
	input [3:0] FS;
	output [15:0] f;
	output C, V, N, Z;
	wire [3:0] GS;
	wire [1:0] HS;
	wire MF;
	wire [15:0] g;
	reg [15:0] h;
	

	assign GS = FS;
	assign HS = FS[1:0];
	assign MF = FS[3]&FS[2];
	
	ALU U1(a,b,GS,g,C,V);
	assign N = g[15];
	assign Z = (g==0);

	always
	case (HS)
	2'b00: h = b;
	2'b01: h = {1'b0,b[15:1]};
	2'b10: h = {b[14:0],1'b0};
	2'b11: h = b;
	endcase

	assign f = (MF? h: g);

endmodule

