module mano_sc1(clk,DA,AA,BA,FS,MB,MD,RW,constant,data_in,status,a,b,d);

	output [15:0] a, b, d;
	input [2:0] DA,AA,BA;
	input [3:0] FS;
	input clk,MB,MD,RW;
	input [15:0] constant, data_in;
	output [3:0] status;
	wire [15:0] f, bx;
	wire V, C, N, Z;
	wire MF;
	wire [15:0] g;

	// register file
	reg_file U2(clk, RW, AA, BA, DA, a, b, d);
	assign bx = (MB? constant: b);

	// function unit
	func U3(a,bx,FS,f,V,C,N,Z);
	assign status = {V, C, N, Z};
	assign d = (MD? data_in: f);

endmodule

