module alu(a,b,GS,g,C,V);

	input [15:0] a, b;
	input [3:0] GS;
	output [15:0] g;
	output C, V;
	wire [3:0] cout, overflow;
	wire cin;

	assign cin = GS[0];
	alu4 
		ALU0(a[3:0],b[3:0],GS,cin,g[3:0],cout[0],overflow[0]),
		ALU1(a[7:4],b[7:4],GS,cout[0],g[7:4],cout[1],overflow[1]),
		ALU2(a[11:8],b[11:8],GS,cout[1],g[11:8],cout[2],overflow[2]),
		ALU3(a[15:12],b[15:12],GS,cout[2],g[15:12],cout[3],overflow[3]);
	assign V = overflow[3];
	assign C = cout[3];
endmodule

